logrotate conflict: foreman-proxy and tfm-rubygem-smart_proxy_dynflow_core

09/20/2017 06:58 AM - Radosław Piliszek

Status: Closed   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.15.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman 1.15.4 (1.15.2 was the latest selectable as "found in")

/etc/logrotate.d/foreman-proxy controls /var/log/foreman-proxy/*log and foreman-proxy service is signaled when rotation happens.

/etc/logrotate.d/tfm-rubygem-smart_proxy_dynflow_core controls /var/log/foreman-proxy/smart_proxy_dynflow_core.log and

smart_proxy_dynflow_core service is signaled when rotation happens.

There is a conflict that logrotate catches:

error: tfm-rubygem-smart_proxy_dynflow_core:1 duplicate log entry for /var/log/foreman-proxy/smart

_proxy_dynflow_core.log

and ignores the /etc/logrotate.d/tfm-rubygem-smart_proxy_dynflow_core configuration (smart_proxy_dynflow_core service is never

signaled and foreman-proxy service is signaled for its log instead).

Related issues:

Related to foreman-tasks - Bug #19224: smart_proxy_dynflow_core.log not reope... Closed 04/07/2017

History

#1 - 09/20/2017 07:01 AM - Radosław Piliszek

Related to Issue #19223, fixing this will cause the same symptoms as in that issue but for smart_proxy_dynflow_core service. Both have to be fixed to

restore proper smart_proxy_dynflow_core logging.

#2 - 09/20/2017 08:07 AM - Radosław Piliszek

Also it looks like Issue #19224 was supposed to be the one where this was fixed but it had been closed prematurely (the behaviour was not corrected

then).

#3 - 09/21/2017 03:10 AM - Lukas Zapletal

For the record, the team is dicussing if SIGHUP is a good signal to support or not. Otherwise the only change is to rewrite policy:

https://github.com/theforeman/smart-proxy/pull/544

If this is accepted, lets move this to dynflow project and make the very same change there. Here:

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/rubygem-smart_proxy_dynflow_core/logrotate.conf

And here:

https://github.com/theforeman/smart_proxy_dynflow/blob/master/deploy/smart_proxy_dynflow_core.service

#4 - 09/21/2017 03:11 AM - Lukas Zapletal

- Related to Bug #19224: smart_proxy_dynflow_core.log not reopened during logrotate added

#5 - 09/21/2017 03:15 AM - Radosław Piliszek
You are right about that, Lukas, but you missed the fact that there is yet another layer of problems: the conflict between files in the same directory.

Dynflow's log must be placed somewhere else.

#6 - 09/21/2017 03:17 AM - Radosław Piliszek

... or foreman-proxy logrotate config must watch less files.

#7 - 08/24/2021 09:36 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

The smart_proxy_dynflow_core package has been obsoleted and is no longer shipped.
